installer hangs when using --reset-data
Status: Closed   

Priority: Normal   

Assignee: William Clark   

Category: foreman-installer script   

Target version: 2.3.4   

Difficulty: trivial Fixed in Releases: 2.3.4, 2.4.0

Triaged: Yes Found in Releases: 2.2.3

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/658,

https://github.com/theforeman/foreman-i

nstaller/pull/682

  

Description

The issue becomes apparent after sending keyboard interrupt

Traceback (most recent call last):

    17: from /sbin/foreman-installer:8:in `<main>'

    16: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/lib/kafo/kafo_configure.rb:50

:in `run'

    15: from /opt/theforeman/tfm/root/usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:132:in 

`run'

    14: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/lib/kafo/kafo_configure.rb:16

9:in `run'

    13: from /opt/theforeman/tfm/root/usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:63:in `

run'

    12: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/lib/kafo/kafo_configure.rb:20

5:in `execute'

    11: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/lib/kafo/kafo_configure.rb:45

4:in `run_installation'

    10: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/lib/kafo/hooking.rb:51:in `ex

ecute'

     9: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/lib/kafo/hooking.rb:51:in `ea

ch'

     8: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/lib/kafo/hooking.rb:53:in `bl

ock in execute'

     7: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/lib/kafo/hook_context.rb:19:i

n `execute'

     6: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/lib/kafo/hook_context.rb:19:i

n `instance_eval'

     5: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/lib/kafo/hooking.rb:35:in `bl

ock (4 levels) in load'

     4: from /opt/theforeman/tfm/root/usr/share/gems/gems/kafo-6.1.2/lib/kafo/hooking.rb:35:in `in

stance_eval'

     3: from /usr/share/foreman-installer/hooks/pre/10-reset_data.rb:121:in `block (4 levels) in l

oad'

     2: from /usr/share/foreman-installer/hooks/pre/10-reset_data.rb:11:in `reset'

     1: from /usr/share/foreman-installer/hooks/pre/10-reset_data.rb:118:in `reset_pulpcore'

/usr/share/foreman-installer/hooks/pre/10-reset_data.rb:108:in `clear_pulpcore_content': undefined

 local variable or method `logging' for #<Kafo::HookContext:0x00000000020383b8> (NameError)

Did you mean?  logger

Related issues:

Related to Kafo - Bug #32012: Exceptions in hooks "hang" and crash after a lo... New
Revision da6ce8cd - 03/04/2021 09:18 AM - William Clark

Fixes #32011 - Fix logger typo in reset data hook

History

#1 - 03/04/2021 09:03 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-installer/pull/658 added

#2 - 03/04/2021 09:10 AM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes

- Found in Releases 2.2.3 added

#3 - 03/04/2021 09:18 AM - Ewoud Kohl van Wijngaarden

- Related to Bug #32012: Exceptions in hooks "hang" and crash after a long time added

#4 - 03/04/2021 09:18 AM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#5 - 03/04/2021 09:19 AM - Ewoud Kohl van Wijngaarden

- Target version set to 2.3.4

#6 - 03/04/2021 10:01 AM - William Clark

- Status changed from Ready For Testing to Closed

Applied in changeset installer|da6ce8cd2bfa75a925290244914298e1e6b8d648.

#7 - 03/10/2021 05:34 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 2.4.0 added

- Fixed in Releases deleted (2.5.0)

#8 - 05/10/2021 01:57 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/682 added

#9 - 05/12/2021 01:49 PM - Amit Upadhye

- Fixed in Releases 2.3.4 added

Powered by TCPDF (www.tcpdf.org)

05/18/2024 2/2

https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/da6ce8cd2bfa75a925290244914298e1e6b8d648
http://www.tcpdf.org

